package cn.teammodel.model.entity.teacher;


import cn.teammodel.model.entity.BaseItem;
import cn.teammodel.model.vo.admin.GpTeacherVo;
import com.azure.spring.data.cosmos.core.mapping.Container;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Container(containerName = "Teacher")
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class PtTeacherInfo extends BaseItem {

    public String pk ;
    public Integer ttl ;
    public String school;
    public String name ;
    public String code ;
    //这是从CoreService中获取的 phone email
    public String phone ;
    public String email ;
    public String picture ;
    public String job ;
    public List<String> subjectIds ;
    public List<String> subjectNames ;
    public List<String> roles;
    public String degree;
    public String gender ;
    public List<String> grade;
    public List<String> gradeName;
    public String periodId ;
    public List<String> identity;
    public Integer age;
    public Integer teachingAge;
    //教师状态 join invite 以IES5为准
    public String status;
    //职称
    public String title;
    //入校时间
    public Long joinTime;
    //该基础信息是否有效
    public Integer state = 1;
    public Integer version = 1;
    public String source;
}
